Bug 4048 - Установщик устанавливает весь набор локалей
: Установщик устанавливает весь набор локалей
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/Compact-2.3-beta)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 3005 3459
  Show dependency tree
 
Reported: 2004-04-28 13:56 by
Modified: 2006-12-17 16:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-28 13:56:29
После установке системы, в /usr/lib/locales получаем набор всех локалей, что
входят в пакет glibc-locales. Если прописать %_install_langs ru_RU в файл
/etc/rpm/macros (который, сразу после утановки, имеет нулевой размер), удалить
gllibc-locales, а потом поставить заново, то в /usr/lib/locales будем иметь
набор только из ru_RU и ru_UA локалей.
------- Comment #1 From 2004-04-28 14:42:07 -------
PS: "действительно имеет место быть".  если правильно (откуда-то) помню --
кто-то упоминал, что так _вроде_ чинили то ли неустановку каких-то локалей, то
ли еще что.

сегодня поднимали систему на compact-2.3 -- опять поймали.
------- Comment #2 From 2004-06-29 22:14:33 -------
Это не баг, это IMHO feathure.
------- Comment #3 From 2004-06-29 22:20:47 -------
Нет, это баг, как и любая неуправляемая неоднозначная фича.

В рамках даже этого инсталера так можно делать, если устанавливаем "чайника" --
тогда задефолтить "install all locales" и все.

А _мне_ (типа эксперту :) подсовывать под двести мег китайчатины, которая без
--reinstall не лечится -- не надо :(
------- Comment #4 From 2004-06-30 00:54:48 -------
Так эксперт же знает о --reinstall? ;)
------- Comment #5 From 2004-06-30 09:45:38 -------
Эксперта анноит создание проблем во имя героического их решения.

С другой стороны, не могу не согласиться, что для не-экспертов на Украине,
нуждающихся в поддержке _одновременно_ ru_RU и uk_UA, это _фича_.  Это в
предыдущем обсуждении уже было сказано. :-)

Так что #4048 -- скорее о том, что не надо рубить сплеча _всех_, включая тех,
кто вполне способен воспользоваться соотв. диалогом о локалях.

И, кстати, при наличии этого самого диалога раздельного выбора локалей -- это
БАГА.

Вывод:

- сделать дефолтом _этого диалога_ для не-экспертов _все_ лоакли;
- оставить поведение для экспертов аналогичным ранее бывшему (ALM2.2):
устанавливается только локаль, соответствующая выбранному языку.
------- Comment #6 From 2004-06-30 11:30:47 -------
Ну здесь я оставляю выбор за Сергеем, ибо сможет он это пофиксить или нет -
зависит только от него. Там _слишком_ много граблей возникает при каждом
изменении. 


2sbolshakov: посмотри, может быть действительно стоит в режиме эксперта
заполнять install_langs ?
------- Comment #7 From 2004-06-30 13:48:23 -------
Логично.  Только чего ж ты тогда делал такую фичу, не спросив/предупредив
народ-то :)

PS: можешь пояснить "заполнять в режиме эксперта" -- т.е. какое поведение будет
результатом?

Хотелось бы так: для "как обычно" -- пусть будет новое поведение (как в 2.3), а
для "экспертов" -- старое (как в 2.2).  Вот просто как оно выполнялось там и
там
соответственно.
------- Comment #8 From 2004-07-01 16:03:24 -------
fixed in cvs
sets %_install_langs macro in expert mode